#!/bin/bash

set -eux pipefail

REGISTRY=projects.torsion.org
IMAGE=$REGISTRY/witten/wake-on-lan-service

sudo docker login $REGISTRY
sudo docker buildx build --push -t $IMAGE:amd64 .
sudo docker buildx build --push --platform linux/arm/v7 -t $IMAGE:armv7 .
sudo docker manifest create --amend $IMAGE:latest $IMAGE:amd64 $IMAGE:armv7
sudo docker manifest push $IMAGE:latest
